#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 14 July 2006                                                        *
#                                                                            *
#*****************************************************************************

CFLAGS=/include=[]/name=(as_is,short)/float=ieee/define=("vmsFortran=1")

CXXFLAGS=$(CFLAGS)

LIB_CSRCS =\
	attr.obj,\
	dim.obj,\
	error.obj,\
	libvers.obj,\
	nc.obj,\
	ncio.obj,\
	ncx.obj,\
	putget.obj,\
	string.obj,\
	v1hpg.obj,\
	v2i.obj,\
	var.obj

all : ncconfig.h
	$(MMS)$(MMSQUALIFIERS) libnetcdf.olb

ncconfig.h : ncconfig.h_vms
	copy ncconfig.h_vms ncconfig.h
	copy ncconfig.h_vms config.h

libnetcdf.olb : $(LIB_CSRCS)
	if f$search("libnetcdf.olb") .eqs. "" then library/create libnetcdf.olb
	library libnetcdf.olb $(LIB_CSRCS)

attr.obj : attr.c ncconfig.h
dim.obj : dim.c ncconfig.h
error.obj : error.c ncconfig.h
libvers.obj : libvers.c ncconfig.h
	cc/name=(as_is,short)/float=ieee\
	/define=("vmsFortran=1","VERSION=3.6.1") libvers.c
nc.obj : nc.c ncconfig.h
ncio.obj : ncio.c ncconfig.h posixio.c ffio.c
ncx.obj : ncx.c ncconfig.h
putget.obj : putget.c ncconfig.h
string.obj : string.c ncconfig.h
v1hpg.obj : v1hpg.c ncconfig.h
v2i.obj : v2i.c ncconfig.h
var.obj : var.c ncconfig.h

test :	t_nc.exe
	run t_nc.exe
	@ pipe cmp TEST.NC test_nc.sav >diff.list
	@ if f$file("diff.list","ALQ") .eqs. "0" then write sys$output "*** Success ***"
	@ if f$file("diff.list","ALQ") .nes. "0" then write sys$output "*** Failed test ***"

t_nc.exe : t_nc.obj libnetcdf.olb
	link t_nc.obj,libnetcdf.olb/lib

t_nc.obj : t_nc.c ncconfig.h
