#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 8 September 2004                                                    *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee/define=("vmsFortran=1")\
	/include=[-.libsrc]

CXXFLAGS=$(CFLAGS)

OBJS = main.obj,load.obj,ncgentab.obj,escapes.obj,getfill.obj,init.obj,\
	genlib.obj

all :
	$(MMS)$(MMSQUALIFIERS) ncgen.exe

ncgen.exe : $(OBJS) [-.libsrc]libnetcdf.olb
	link/exec=ncgen.exe $(OBJS),[-.libsrc]libnetcdf.olb/lib

main.obj : main.c
load.obj : load.c
ncgentab.obj : ncgentab.c
escapes.obj : escapes.c
getfill.obj : getfill.c
init.obj : init.c
genlib.obj : genlib.c

test : ncgen.exe
	$(MMS)$(MMSQUALIFIERS) b-test
	$(MMS)$(MMSQUALIFIERS) c-test
	$(MMS)$(MMSQUALIFIERS) f-test

#
# test "-b" option of ncgen
#
b-test : ncgen.exe c1.cdl
	@ mc []ncgen -b c1.cdl
	@ pipe mc [-.ncdump]ncdump c1.nc > c2.cdl
        @ pipe cmp c1.cdl c2.cdl >diff.list
        @ if f$file("diff.list","ALQ") .eqs. "0" then write sys$output "***-b test Success ***"
        @ if f$file("diff.list","ALQ") .nes. "0" then write sys$output "***-b test Failed ***"

#
# test "-c" option of ncgen
#
c-test : ncgen.exe c1.cdl
	@ pipe mc []ncgen -c -o ctest0.nc c0.cdl > ctest.c
	cc$(CFLAGS) ctest.c
	link ctest,[-.libsrc]libnetcdf.olb/lib
	run ctest
	pipe mc [-.ncdump]ncdump -n c1 ctest0.nc > ctest1.cdl
        @ pipe cmp c1.cdl ctest1.cdl >diff.list
        @ if f$file("diff.list","ALQ") .eqs. "0" then write sys$output "***-c test Success ***"
        @ if f$file("diff.list","ALQ") .nes. "0" then write sys$output "***-c test Failed ***"

c1.cdl :	ncgen.exe c0.cdl
	mc []ncgen.exe -b -o c0.nc c0.cdl
	pipe mc [-.ncdump]ncdump.exe -n c1 c0.nc > c1.cdl

#
# test "-f" option of ncgen
#
f-test : ncgen.exe c0.cdl c1.cdl
	$(MMS)$(MMSQUALIFIERS) ftest1.cdl
        @ pipe cmp c1.cdl ftest1.cdl >diff.list
        @ if f$file("diff.list","ALQ") .eqs. "0" then write sys$output "***-c test Success ***"
        @ if f$file("diff.list","ALQ") .nes. "0" then write sys$output "***-c test Failed ***"

ftest1.cdl : ncgen.exe c0.cdl [-.fortran]netcdf.inc
	pipe mc []ncgen.exe -f -o ftest0.nc c0.cdl > ftest.f
	fort/float=ieee/name=lower/include=[-.fortran] ftest.f
	link ftest,[-.libsrc]libnetcdf.olb/lib
	run ftest
	pipe mc [-.ncdump]ncdump -n c1 ftest0.nc > ftest1.cdl
